window.setInterval(function(){RefreshNowPlaying()}, 5000);
RefreshNowPlaying();

//Page specific button handling
$(document).ready(function()
{
	$("#prev_btn").click(function()
	{
		$.get("PlayerCommand.php?cmd=prev");
	});
	$("#pauze_btn").click(function()
	{
		$.get("PlayerCommand.php?cmd=pause");
	});
	$("#next_btn").click(function()
	{
		$.get("PlayerCommand.php?cmd=next");
	});
	$("#rdio_3fm_btn").click(function()
	{
		$.get("PlayerCommand.php?cmd=playurl&channel=3fm");
	});
	$("#shuffle").click(function()
	{
		if ($("#shuffle").data("active") == "0")
		{
			$.get("PlayerCommand.php?cmd=shuffle&value=1");
		}
		else
		{
			$.get("PlayerCommand.php?cmd=shuffle&value=0");
		}
	});
	$("#repeat").click(function()
	{
		if ($("#repeat").data("active") == "0")
		{
			$.get("PlayerCommand.php?cmd=repeat&value=1");
		}
		else
		{
			$.get("PlayerCommand.php?cmd=repeat&value=0");
		}
	});
});


function RefreshNowPlaying()
{
	$.get("GetNowPlaying.php",function(data,status)
	{
		var obj = JSON.parse(data);
		if (obj.result.player_name != "")
		{
			$("#player").html(obj.result.player_name +" (" + obj.result.playlist_cur_index +"/" + obj.result.playlist_tracks +")");
		}

		if (obj.result["playlist shuffle"] == 0)
		{
			$("#shuffle").attr("style", "color:#cccccc;font-size:48px;");
			$("#shuffle").data("active", "0");
		}
		else
		{
			$("#shuffle").attr("style", "color:#474747;font-size:48px;"); // color change to default text color
			$("#shuffle").data("active", "1");
		}
		
		if (obj.result["playlist repeat"] == 0)
		{
			$("#repeat").attr("style", "color:#cccccc;font-size:48px;");
			$("#repeat").data("active", "0");
		}
		else
		{
			$("#repeat").attr("style", "color:#474747;font-size:48px;");
			$("#repeat").data("active", "1");
		}

		var type = obj.result.playlist_loop[0].type;
		if (type.indexOf('Radio') > -1) 
		{
			$("#title").html(obj.result.playlist_loop[0].title.toCapitalize());
			if (obj.result.playlist_loop[0].artist)
			{
				$("#artist").html(obj.result.playlist_loop[0].artist.toCapitalize());
			}
			else
			{
				$("#artist").html("Various (radio)");
			}
			$("#album").html(obj.result.current_title.toCapitalize());
			if (obj.result.remoteMeta.artwork_url)
			{
				$("#cover").attr("src", obj.result.remoteMeta.artwork_url);
			}
			else
			{
				$("#cover").attr("src", "img/radio.png");
			}
		}
		else if (obj.result.remoteMeta.artwork_url) //spotify playlist
		{
			$("#title").html(obj.result.playlist_loop[0].title.toCapitalize());
			$("#artist").html(obj.result.playlist_loop[0].artist.toCapitalize());
			$("#album").html(obj.result.playlist_loop[0].album.toCapitalize());
			$("#cover").attr("src", "http://192.168.1.2:9002/" + obj.result.remoteMeta.artwork_url);
		}
		else // playlist
		{
			$("#title").html(obj.result.playlist_loop[0].title.toCapitalize());
			$("#artist").html(obj.result.playlist_loop[0].trackartist.toCapitalize());
			$("#album").html(obj.result.playlist_loop[0].album.toCapitalize());
			$("#cover").attr("src", "");
		}
		//$("#ProgressBar").attr("data-progress-percent",((obj.result.time*100)/obj.result.duration).toFixed());
		moveProgressBar(((obj.result.time*100)/obj.result.duration).toFixed());
	});

};


//display nr of seconds as m:ss can be used for elapsed time
function ConvertToTime(i) 
{
	var Result = "";
	var s = i.toFixed();
	var m = Math.floor(s/60); //Get remaining minutes
	s -= m*60;
	Result = m + ":"+ CheckTime(s);
	return Result;
};

String.prototype.toCapitalize = function()
{ 
   return this.toLowerCase().replace(/^.|\s\S/g, function(a) { return a.toUpperCase(); });
}


// on page load...
moveProgressBar(0);
// on browser resize...
//    $(window).resize(function() {
//        moveProgressBar(0);
//    });

// SIGNATURE PROGRESS
function moveProgressBar(i) {
//        var getPercent = ($('.progress-wrap').data('progress-percent') / 100);
	var getPercent = i/100;
	var getProgressWrapWidth = $('.progress-wrap').width();
	var progressTotal = getPercent * getProgressWrapWidth;
	var animationLength = 1000;
	
	// on page load, animate percentage bar to data percentage length
	// .stop() used to prevent animation queueing
	$('.progress-bar').stop().animate({
		left: progressTotal
	}, animationLength);
}

